cURL
curl --request GET \
--url https://sandbox.withclasp.com/plans/{public_id}/premiums \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.withclasp.com/plans/{public_id}/premiums"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.withclasp.com/plans/{public_id}/premiums', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"amount": "<string>",
"coverage_type": "member",
"tobacco_usage": true,
"relationship_category": "member",
"age": "<string>"
}
]Plans
Retrieve Premiums
Retrieves the premiums for a given plan.
GET
/
plans
/
{public_id}
/
premiums
cURL
Authorizations
API Key authentication with required prefix "Bearer"
Path Parameters
Response
200 - application/json
The amount of the premium. For example '100' to define a rate of $100.
Pattern:
^-?\d{0,8}(?:\.\d{0,2})?$The coverage type to which this premium applies. For example 'member' to define a rate for a member-only enrollment.
Available options:
member, member_spouse, member_child, member_children, member_family Whether this rate depends on tobacco usage. Leave null when not applicable.
The relationship category to which this premium applies. For example 'member' to define a rate for a member and 'child' to define a rate for a child.
Available options:
member, spouse, child The age to which this premium applies. For example '18' to define a rate for a 18-year-old.
Pattern:
^\d{0,2}$